Name:           glib-networking
Version:        2.29.18
Release:        1%{?_dist_release}
Summary:        Networking support for GLib

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://www.gnome.org
Source:         http://download.gnome.org/sources/glib-networking/2.29/%{name}-%{version}.tar.xz

BuildRequires:  glib2-devel
BuildRequires:  libproxy-devel
BuildRequires:  gnutls-devel
BuildRequires:  intltool
BuildRequires:  gsettings-desktop-schemas
# need to build ca-bundle.crt 
BuildRequires:  openssl
Requires:       openssl

Vendor: Project Vine
Distribution: Vine Linux

%description
This package contains modules that extend the networking support in GIO.
In particular, it contains a libproxy-based GProxyResolver implementation
and a gnutls-based GTlsConnection implementation.

%prep
%setup -q


%build
%configure \
	--with-libproxy \
	--with-ca-certificates=%{_datadir}/ssl/certs/ca-bundle.crt

make %{?_smp_mflags} V=1


%install
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/gio/modules/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/gio/modules/*.la

%find_lang %{name}

%post
gio-querymodules %{_libdir}/gio/modules

%postun
gio-querymodules %{_libdir}/gio/modules

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING NEWS README
%{_libdir}/gio/modules/libgiolibproxy.so
%{_libdir}/gio/modules/libgiognomeproxy.so
%{_libdir}/gio/modules/libgiognutls.so
%{_libexecdir}/glib-pacrunner
%{_datadir}/dbus-1/services/org.gtk.GLib.PACRunner.service


%changelog
* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.29.18-1
- new upstream release
- add BuildRequires: gsettings-desktop-schemas

* Sun Aug 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.29.15-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.29.9-1
- initial build for Vine Linux

